Name:           perl-Mail-SPF-Query
Version:        1.999.1
Release:        5%{?dist}
Summary:        Query Sender Policy Framework
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Mail-SPF-Query/
Source0:        http://www.cpan.org/authors/id/J/JM/JMEHNLE/mail-spf-query/Mail-SPF-Query-%{version}.tar.gz
# From Paul Howarth
Patch1:         use-sys-hostname.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
%{?_with_check:BuildRequires: perl(Test::Pod::Coverage)}
%{?_with_check:BuildRequires: perl(Net::DNS) >= 0.46}
%{?_with_check:BuildRequires: perl(Net::CIDR::Lite) >= 0.15}
%{?_with_check:BuildRequires: perl(URI::Escape)}
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The SPF protocol relies on sender domains to publish a DNS whitelist of
their designated outbound mailers.  Given an envelope sender,
Mail::SPF::Query determines the legitimacy of an SMTP client IP.

%prep
%setup -q -n Mail-SPF-Query-%{version}
%patch1 -p1

chmod -x examples/* bin/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

# Don't include the spfd and spfquery scripts in _bindir.
rm -f $RPM_BUILD_ROOT%{_bindir}/spfd $RPM_BUILD_ROOT%{_bindir}/spfquery
rm -rf $RPM_BUILD_ROOT%{_mandir}/man1

# Does a lot of external DNS lookups.
%check
%{?_with_check:make test}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES README examples/ bin/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.999.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.999.1-4
Rebuild for new perl

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 1.999.1-3
- Use fixperms macro instead of our own chmod incantation.
- BR ExtUtils::MakeMaker.

* Tue Sep 05 2006 Steven Pritchard <steve@kspei.com> 1.999.1-2
- Minor spec cleanup.

* Fri Mar 10 2006 Steven Pritchard <steve@kspei.com> 1.999.1-1
- Update to 1.999.1
- Drop MSQ-fallback.patch (upstream seems to have a similar fix)
- Update use-sys-hostname.patch

* Mon Sep 05 2005 Steven Pritchard <steve@kspei.com> 1.997-5
- Spec cleanup
- Include COPYING and Artistic

* Mon Aug 01 2005 Steven Pritchard <steve@kspei.com> 1.997-4
- Add some BuildRequires (suggested by Paul Howarth)

* Thu Jul 21 2005 Steven Pritchard <steve@kspei.com> 1.997-3
- Force use of Sys::Hostname (instead of Sys::Hostname::Long)

* Mon Jul 18 2005 Steven Pritchard <steve@kspei.com> 1.997-2
- Include MSQ-fallback.patch from Paul Howarth
- Run make test when built with --with check
- Include the spfd and spfquery scripts as %%doc

* Fri Jul 15 2005 Steven Pritchard <steve@kspei.com> 1.997-1
- Specfile autogenerated.
